#!/bin/sh

run ()
{
    echo "running: $*"
    eval $*

    if test $? != 0 ; then
	echo "error: while running '$*'"
	exit 1
    fi
}

# tested with automake 1.9 and autoconf 2.59 and 2.61, *with*
# autoconf-wrapper installed.  Otherwise use explicit filenames.
run aclocal
run autoheader
run automake -a
run autoconf

# hack for not running from svn.
echo '"export"' > VEX/priv/main/vex_svnversion.h
